| Apache Ignite C++

Public Member Functions | List of all members
ignite::cache::query::TextQuery Class Reference

Text query. More...

`#include <query_text.h>`

## Public Member Functions
| TextQuery (const std::string &type, const std::string &text)
| Constructor. More...
const std::string & | GetType () const
| Get type name. More...
void | SetType (const std::string &type)
| Set type name. More...
const std::string & | GetText () const
| Get text string. More...
void | SetText (const std::string &text)
| Set text string. More...
int32_t | GetPageSize () const
| Get page size. More...
void | SetPageSize (int32_t pageSize)
| Set page size. More...
bool | IsLocal () const
| Get local flag. More...
void | SetLocal (bool loc)
| Set local flag. More...
void | Write (binary::BinaryRawWriter &writer) const
| Write query info to the stream. More...

## Detailed Description

Text query.

## Constructor & Destructor Documentation

## ◆ TextQuery()

ignite::cache::query::TextQuery::TextQuery | ( | const std::string & | type,
|  | const std::string & | text
| ) |  |
| inline

Constructor.

Parameters

  type | Type name.
  text | Text string.

## Member Function Documentation

## ◆ GetPageSize()

int32_t ignite::cache::query::TextQuery::GetPageSize | ( |  | ) | const
| inline

Get page size.

Returns
  Page size.

## ◆ GetText()

const std::string& ignite::cache::query::TextQuery::GetText | ( |  | ) | const
| inline

Get text string.

Returns
  text string.

## ◆ GetType()

const std::string& ignite::cache::query::TextQuery::GetType | ( |  | ) | const
| inline

Get type name.

Returns
  Type name.

## ◆ IsLocal()

bool ignite::cache::query::TextQuery::IsLocal | ( |  | ) | const
| inline

Get local flag.

Returns
  Local flag.

## ◆ SetLocal()

void ignite::cache::query::TextQuery::SetLocal | ( | bool | loc | ) |
| inline

Set local flag.

Parameters

  val | Value of the flag. If true, query will be executed only on local node, so only local entries will be returned as query result.

## ◆ SetPageSize()

void ignite::cache::query::TextQuery::SetPageSize | ( | int32_t | pageSize | ) |
| inline

Set page size.

Parameters

  pageSize | Page size.

## ◆ SetText()

void ignite::cache::query::TextQuery::SetText | ( | const std::string & | text | ) |
| inline

Set text string.

Parameters

  text | Text string.

## ◆ SetType()

void ignite::cache::query::TextQuery::SetType | ( | const std::string & | type | ) |
| inline

Set type name.

Parameters

  sql | Type name.

## ◆ Write()

void ignite::cache::query::TextQuery::Write | ( | binary::BinaryRawWriter & | writer | ) | const
| inline

Write query info to the stream.

Parameters

  writer | Writer.

The documentation for this class was generated from the following file:

- query_text.h